'use strict';

const AdonisAppProvider = require('@adonisjs/framework/providers/AppProvider');

class AppProvider extends AdonisAppProvider {
    _registerEnv() {
        this.app.singleton('Adonis/Src/Env', (app) => {
            const Helpers = app.use('Adonis/Src/Helpers');
            const Env = require('../src/Env');
            return new Env(Helpers.appRoot());
        });
        this.app.alias('Adonis/Src/Env', 'Env');
    }

    _registerServer() {
        this.app.singleton('Adonis/Src/Server', (app) => {
            const Context = app.use('Adonis/Src/HttpContext');
            const Route = app.use('Adonis/Src/Route');
            const Exception = app.use('Adonis/Src/Exception');
            const Logger = app.use('Adonis/Src/Logger');
            const Server = require('../src/Server');
            return new Server(Context, Route, Logger, Exception);
        });
        this.app.alias('Adonis/Src/Server', 'Server');
    }
}

module.exports = AppProvider;
