'use strict';

const path = require('path');
const { ServiceProvider } = require('@adonisjs/fold');

class AbstractServiceProvider extends ServiceProvider {
    _registerAutoloadedDirectories() {
        if (this._packageFile) {
            let autoloads = this._packageFile.autoload || {};
            Object.keys(autoloads).forEach(namespace => {
                this.app.autoload(autoloads[namespace], namespace);
            });
        }
    }

    _setPackageFile () {
        this._packageFile = require(path.join(__dirname, './../', 'package.json'));
    }

    constructor(Ioc) {
        super(Ioc);
        this._setPackageFile();
        this._registerAutoloadedDirectories();
    }
}

module.exports = AbstractServiceProvider;
